package com.ynet.life.loaf.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.InvalidArgumentException;
import com.ynet.gene.data.ObjectNotFoundException;
import com.ynet.life.action.LifeJDBCAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.loaf.DataMappingProvider;
import java.sql.Connection;
import java.sql.SQLException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/* loaded from: com_ynet_life_loaf_action.jar:com/ynet/life/loaf/action/QureyDataDetailAction.class */
public class QureyDataDetailAction extends LifeJDBCAction {
    private String businessCodeField;
    private String businessCode;
    protected String filterSubBusinessCodeField;
    private boolean throwException = true;
    protected Map filterSubBusinessCodeMap = new HashMap();

    public String execute(Context context) throws GENEException {
        Connection connection = null;
        try {
            try {
                try {
                    try {
                        String currentBusinessCode = this.businessCodeField != null ? (String) context.get(this.businessCodeField) : this.businessCode;
                        if (this.filterSubBusinessCodeField != null && this.filterSubBusinessCodeField.trim().length() > 0) {
                            String[] filterSubBusinessCode = (((String) context.getDataValue(this.filterSubBusinessCodeField)) == null ? "" : (String) context.getDataValue(this.filterSubBusinessCodeField)).split("@");
                            for (int i = 0; i < filterSubBusinessCode.length; i++) {
                                this.filterSubBusinessCodeMap.put(filterSubBusinessCode[i], filterSubBusinessCode[i]);
                            }
                        }
                        Trace.logDebug("LOAF", String.valueOf(currentBusinessCode) + "查询开始");
                        Connection connection2 = LifeDBAccess.getConnection(getDataSource());
                        connection = connection2;
                        DataMappingProvider.fillTableDataIntoContext(connection2, currentBusinessCode, context);
                        List showBusinessList = DataMappingProvider.getTableConfig(currentBusinessCode).getShowBusinessList();
                        for (int i2 = 0; i2 < showBusinessList.size(); i2++) {
                            String subBusinessCode = (String) showBusinessList.get(i2);
                            Trace.logDebug("LOAF", String.valueOf(currentBusinessCode) + "的显示用辅助数据" + subBusinessCode + "查询开始");
                            DataMappingProvider.fillTableDataIntoContext(connection, subBusinessCode, context);
                        }
                        Trace.logDebug("LOAF", String.valueOf(currentBusinessCode) + "查询结束");
                        LifeDBAccess.releaseConnection(getDataSource(), connection);
                        return "0";
                    } catch (TranFailException ex) {
                        Trace.logError("LOAF", String.valueOf(ex.getErrorCode()) + "：" + ex.getMessage(), ex);
                        handleException(context, ex, this.throwException);
                        LifeDBAccess.releaseConnection(getDataSource(), connection);
                        return "0";
                    }
                } catch (InvalidArgumentException e) {
                    Trace.logError("LOAF", e.getMessage(), e);
                    throw new TranFailException("EBLN0000", e);
                }
            } catch (ObjectNotFoundException e2) {
                Trace.logError("LOAF", e2.getMessage(), e2);
                throw new TranFailException("EBLN0000", e2);
            } catch (SQLException ex2) {
                Trace.logError("LOAF", ex2.getMessage(), ex2);
                handleException(context, new TranFailException("EBLN0000", ex2), this.throwException);
                LifeDBAccess.releaseConnection(getDataSource(), connection);
                return "0";
            }
        } catch (Throwable th) {
            LifeDBAccess.releaseConnection(getDataSource(), connection);
            throw th;
        }
    }

    public void setBusinessCodeField(String businessCodeField) {
        this.businessCodeField = businessCodeField;
    }

    public void setBusinessCode(String businessCode) {
        this.businessCode = businessCode;
    }

    public void setThrowException(String throwException) {
        this.throwException = Boolean.valueOf(throwException).booleanValue();
    }

    public String getFilterSubBusinessCodeField() {
        return this.filterSubBusinessCodeField;
    }

    public void setFilterSubBusinessCodeField(String filterSubBusinessCodeField) {
        this.filterSubBusinessCodeField = filterSubBusinessCodeField;
    }
}
